package main

import (
	"log"
	"os"

	"github.com/jessevdk/go-flags"
)

type Options struct {
}

var (
	options Options
	parser  = flags.NewParser(&options, flags.Default)
	logger  = log.New(os.Stderr, "", 0)
)

func main() {
	if _, err := parser.Parse(); err != nil {
		switch flagsErr := err.(type) {
		case flags.ErrorType:
			if flagsErr == flags.ErrHelp {
				os.Exit(0)
			}
			os.Exit(1)
		default:
			os.Exit(1)
		}
	}
}
