package photosapi

import (
	"strings"

	"github.com/gin-gonic/gin"
)

var (
	StatusSuccess = "success"
	StatusFailed  = "failed"
)

func (s *Service) HandleError(c *gin.Context) {
	c.Next()

	if err := c.Errors.Last(); err != nil {
		if err.IsType(gin.ErrorTypeBind) {
			c.JSON(-1, gin.H{
				"status":  StatusFailed,
				"error":   "binding error",
				"details": strings.Split(err.Error(), "\n"),
			})
		} else {
			c.JSON(-1, gin.H{
				"status": StatusFailed,
				"error":  err.Error(),
			})
		}
	}
}
